com.r3corda.node.services.network / InMemoryMessagingNetwork / createNodeWithID

# createNodeWithID

`fun createNodeWithID(manuallyPumped: Boolean, id: Int, description: String? = null): MessagingServiceBuilder<InMemoryMessaging>`

Creates a node at the given address: useful if you want to recreate a node to simulate a restart.

### Parameters

`manuallyPumped` - see createNode.
`id` - the numeric ID to use, e.g. set to whatever ID the node used last time.
`description` - text string that identifies this node for message logging (if is enabled) or null to autogenerate.